# $Revision: 1.15 $, $Date: 2005/01/09 18:19:35 $
%define		pname	SysInfo
Summary:	A sensor and a display for system status meters
Summary(pl):	Czujnik i wywietlacz dla pomiarw stanu systemu
Name:		gDesklets-%{pname}
Version:	0.26
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{pname}-%{version}.tar.gz
# Source0-md5:	0f1d314bf082975a82baa09445c6d4c6
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=56
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 2.0.0
Requires:	gDesklets
%pyrequires_eq	python-libs
Requires:	python-gnome-vfs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
A sensor and a display for system status meters.

%description -l pl
Czujnik i wywietlacz dla pomiarw stanu systemu.

%prep
%setup -q -n %{pname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_SysInfo_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R {gfx,*.display} $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_sensorsdir}/%{pname}/ChangeLog
%{_displaysdir}/*
%dir %{_sensorsdir}/%{pname}
%{_sensorsdir}/%{pname}/*.py[co]
%lang(ca) %{_sensorsdir}/%{pname}/locale/ca
%lang(cs) %{_sensorsdir}/%{pname}/locale/cs
%lang(de) %{_sensorsdir}/%{pname}/locale/de
%lang(es) %{_sensorsdir}/%{pname}/locale/es
%lang(fr) %{_sensorsdir}/%{pname}/locale/fr
%lang(nl) %{_sensorsdir}/%{pname}/locale/nl
%lang(pt) %{_sensorsdir}/%{pname}/locale/pt
%lang(pt_BR) %{_sensorsdir}/%{pname}/locale/pt_BR
%lang(sq) %{_sensorsdir}/%{pname}/locale/sq
%lang(sr) %{_sensorsdir}/%{pname}/locale/sr
%lang(sr@Latn) %{_sensorsdir}/%{pname}/locale/sr@Latn
%lang(sv) %{_sensorsdir}/%{pname}/locale/sv
%lang(en_GB) %{_sensorsdir}/%{pname}/locale/en_GB
%lang(hr) %{_sensorsdir}/%{pname}/locale/hr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-SysInfo.spec,v $
Revision 1.15  2005/01/09 18:19:35  saq
- missing BR epoch and pyreqeq

Revision 1.14  2004/11/03 13:37:11  paladine
- formatting

Revision 1.13  2004/08/13 10:08:13  krolik
- up to 0.26

Revision 1.12  2004/07/23 22:20:07  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 3

Revision 1.11  2004/03/04 22:52:51  krzak
- R: python-gnome-vfs
- rel 2

Revision 1.10  2004/02/11 18:05:55  grzegol
- updated to 0.25

Revision 1.9  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.8  2003/09/02 14:04:15  qboosh
- no need for -n if setup -c is used

Revision 1.7  2003/09/02 11:22:35  grzegol
- updated to 0.20
- changed Source0 and URL
- cosmetics/simplifications

Revision 1.6  2003/08/24 21:40:52  grzegol
- added Provides: gDesklets-display and gDesklets-sensor
- rel. 2

Revision 1.5  2003/08/17 21:13:48  grzegol
- fixed BR

Revision 1.4  2003/08/17 20:29:50  grzegol
- BR: python-pygtk

Revision 1.3  2003/08/17 20:22:05  grzegol
- updated to 0.11

Revision 1.2  2003/08/11 17:53:21  ankry
- cosmetics

Revision 1.1  2003/08/11 17:38:32  grzegol
- new
